﻿using System;
using SqlBI.DtExec.Services;
using System.ServiceModel;

namespace SqlBI.DtExec.HostingConsole {
    /// <summary>
    /// 
    ///     Console hosting, very useful during debugging.
    ///     
    ///     Please note that all the configuration is inside the app.config file
    /// 
    /// </summary>
    class Program {
        static void Main (string[] args) {
            Console.WriteLine ("Host is opening...");
            ServiceHost serviceHost = new ServiceHost (typeof (ServiceSqlBIDtExec));
            serviceHost.Open ();
            Console.WriteLine ("Host is listening... press ENTER to close");
            Console.Read ();
            Console.WriteLine ("Host is closing...");
            if (serviceHost.State == CommunicationState.Opened) {
                serviceHost.Close ();
            }
            Console.WriteLine ("Host is closed.");
        }
    }
}
